cURL
curl --request GET \
--url https://api.jup.ag/prediction/v1/orders \
--header 'x-api-key: <api-key>'{
"data": [
{
"pubkey": "<string>",
"owner": "<string>",
"ownerPubkey": "<string>",
"market": "<string>",
"marketId": "<string>",
"marketIdHash": "<string>",
"eventId": "<string>",
"position": "<string>",
"isYes": true,
"isBuy": true,
"createdAt": 123,
"updatedAt": 123,
"contracts": "<string>",
"maxFillPriceUsd": "<string>",
"maxBuyPriceUsd": "<string>",
"minSellPriceUsd": "<string>",
"filledAt": 123,
"filledContracts": "<string>",
"avgFillPriceUsd": "<string>",
"settled": true,
"orderId": "<string>",
"sizeUsd": "<string>",
"eventMetadata": {
"eventId": "<string>",
"title": "<string>",
"subtitle": "<string>",
"slug": "<string>",
"series": "<string>",
"closeTime": "<string>",
"imageUrl": "<string>",
"isLive": true
},
"marketMetadata": {
"marketId": "<string>",
"title": "<string>",
"status": "<string>",
"result": "<string>",
"closeTime": 123,
"openTime": 123,
"isTeamMarket": true,
"rulesPrimary": "<string>",
"rulesSecondary": "<string>",
"eventId": "<string>"
},
"externalOrderId": "<string>",
"bump": 1
}
],
"pagination": {
"start": 1,
"end": 1,
"total": 1,
"hasNext": true
}
}Orders
Get Orders
Get a list of orders with optional filtering by owner or market
GET
/
orders
cURL
curl --request GET \
--url https://api.jup.ag/prediction/v1/orders \
--header 'x-api-key: <api-key>'{
"data": [
{
"pubkey": "<string>",
"owner": "<string>",
"ownerPubkey": "<string>",
"market": "<string>",
"marketId": "<string>",
"marketIdHash": "<string>",
"eventId": "<string>",
"position": "<string>",
"isYes": true,
"isBuy": true,
"createdAt": 123,
"updatedAt": 123,
"contracts": "<string>",
"maxFillPriceUsd": "<string>",
"maxBuyPriceUsd": "<string>",
"minSellPriceUsd": "<string>",
"filledAt": 123,
"filledContracts": "<string>",
"avgFillPriceUsd": "<string>",
"settled": true,
"orderId": "<string>",
"sizeUsd": "<string>",
"eventMetadata": {
"eventId": "<string>",
"title": "<string>",
"subtitle": "<string>",
"slug": "<string>",
"series": "<string>",
"closeTime": "<string>",
"imageUrl": "<string>",
"isLive": true
},
"marketMetadata": {
"marketId": "<string>",
"title": "<string>",
"status": "<string>",
"result": "<string>",
"closeTime": 123,
"openTime": 123,
"isTeamMarket": true,
"rulesPrimary": "<string>",
"rulesSecondary": "<string>",
"eventId": "<string>"
},
"externalOrderId": "<string>",
"bump": 1
}
],
"pagination": {
"start": 1,
"end": 1,
"total": 1,
"hasNext": true
}
}Documentation Index
Fetch the complete documentation index at: https://dev.jup.ag/docs/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Get API key via https://developers.jup.ag/portal
Query Parameters
Required range:
x >= 0Required range:
x >= 0Minimum string length:
1Was this page helpful?
⌘I
